/*!
 * Copyright 2020 VMware, Inc.
 * SPDX-License-Identifier: BSD-2-Clause
 */
import { FieldType } from '@ngx-formly/core';
export declare class FormlyNumberWithUnitInputComponent extends FieldType {
    /**
     * {@link NumberWithUnitFormInputComponent.errorLabels}
     */
    get errorLabels(): string[];
    /**
     * {@link NumberWithUnitFormInputComponent.min}
     */
    get min(): number;
    /**
     * {@link NumberWithUnitFormInputComponent.max}
     */
    get max(): number;
    /**
     * {@link NumberWithUnitFormInputComponent.hintPosition}
     */
    get hintPosition(): string;
    /**
     * {@link NumberWithUnitFormInputComponent.showUnlimitedOption}
     */
    get showUnlimitedOption(): boolean;
    /**
     * {@link NumberWithUnitFormInputComponent.unlimitedValue}
     */
    get unlimitedValue(): number;
}
